/// <reference types="mongoose/types/aggregate" />
/// <reference types="mongoose/types/callback" />
/// <reference types="mongoose/types/collection" />
/// <reference types="mongoose/types/connection" />
/// <reference types="mongoose/types/cursor" />
/// <reference types="mongoose/types/document" />
/// <reference types="mongoose/types/error" />
/// <reference types="mongoose/types/expressions" />
/// <reference types="mongoose/types/helpers" />
/// <reference types="mongoose/types/middlewares" />
/// <reference types="mongoose/types/indexes" />
/// <reference types="mongoose/types/models" />
/// <reference types="mongoose/types/mongooseoptions" />
/// <reference types="mongoose/types/pipelinestage" />
/// <reference types="mongoose/types/populate" />
/// <reference types="mongoose/types/query" />
/// <reference types="mongoose/types/schemaoptions" />
/// <reference types="mongoose/types/schematypes" />
/// <reference types="mongoose/types/session" />
/// <reference types="mongoose/types/types" />
/// <reference types="mongoose/types/utility" />
/// <reference types="mongoose/types/validation" />
/// <reference types="mongoose/types/virtuals" />
/// <reference types="mongoose/types/inferschematype" />
import { Document, Schema as MongooseSchema } from 'mongoose';
import { KeyProvider } from './key-provider';
import { App } from './app.schema';
export type AppKeyBatchDocument = AppKeyBatch & Document;
export declare enum AppKeyBatchStatus {
    Active = 0,
    MarkedForDeletion = 1
}
export declare class AppKeyBatch {
    size: number;
    provider: KeyProvider;
    app: App;
    status: AppKeyBatchStatus;
    uploadedBy: string;
    deletionRequestedAt: Date;
    deletionRequestedBy: string;
    createdAt: Date;
    updatedAt: Date;
}
export declare const AppKeyBatchSchema: MongooseSchema<AppKeyBatch, import("mongoose").Model<AppKeyBatch, any, any, any, any>, {}, {}, {}, {}, import("mongoose").DefaultSchemaOptions, AppKeyBatch>;
