/// <reference types="mongoose/types/aggregate" />
/// <reference types="mongoose/types/callback" />
/// <reference types="mongoose/types/collection" />
/// <reference types="mongoose/types/connection" />
/// <reference types="mongoose/types/cursor" />
/// <reference types="mongoose/types/document" />
/// <reference types="mongoose/types/error" />
/// <reference types="mongoose/types/expressions" />
/// <reference types="mongoose/types/helpers" />
/// <reference types="mongoose/types/middlewares" />
/// <reference types="mongoose/types/indexes" />
/// <reference types="mongoose/types/models" />
/// <reference types="mongoose/types/mongooseoptions" />
/// <reference types="mongoose/types/pipelinestage" />
/// <reference types="mongoose/types/populate" />
/// <reference types="mongoose/types/query" />
/// <reference types="mongoose/types/schemaoptions" />
/// <reference types="mongoose/types/schematypes" />
/// <reference types="mongoose/types/session" />
/// <reference types="mongoose/types/types" />
/// <reference types="mongoose/types/utility" />
/// <reference types="mongoose/types/validation" />
/// <reference types="mongoose/types/virtuals" />
/// <reference types="mongoose/types/inferschematype" />
import { Document } from 'mongoose';
import { Artifact } from './artifact.schema';
import { LanguageSupport } from './language-support.schema';
import { LocalizedAppData } from './localized-app-data.schema';
import { MediaLink } from './media-link.schema';
import { Organization } from './organization.schema';
import { PlatformSupport } from './platform-support.schema';
import { PlayMode } from './play-mode';
import { Price } from './price.schema';
import { ProvisioningMethod } from './provisioning-method';
import { Tag } from './tag.schema';
export type AppDocument = App & Document;
export declare class App {
    id?: string;
    playFabId?: string;
    artifacts: Artifact[];
    active: boolean;
    localizations: LocalizedAppData[];
    provisioning: ProvisioningMethod;
    tags: Tag[];
    releasedOn: Date;
    mediaLinks: MediaLink[];
    languages: LanguageSupport[];
    modes: PlayMode[];
    prices: Price[];
    free: boolean;
    platforms: PlatformSupport[];
    developer: Organization;
    publisher: Organization;
}
export declare const AppSchema: import("mongoose").Schema<App, import("mongoose").Model<App, any, any, any, any>, {}, {}, {}, {}, import("mongoose").DefaultSchemaOptions, App>;
